/**
 * Theme Name: Blocksy Child: Loretto
 * Author: Blustery Day Design
 * Author URI: https://www.blusterydaydesign.com
 * Template: blocksy
 * Text Domain: blocksy
 * Description: A custom child theme for the Blocksy theme, built in 2026 for the Loretto Community by Blustery Day Design.
 * Version: 1.0
*/

/* * * * * * * *
 Standard
 * * * * * * * */

.clear {
  clear: both;
}

/* * * * * * * *
 Typography
 * * * * * * * */

/* drop cap */
p.has-drop-cap:not(:focus)::first-letter {
  font-weight: 700;
  margin-top: 16px;
  color: #5A9096;
  font-family: pt-futura;
}

/* Links */
article:not(.section-full-width-page-section) .entry-content a,
.bdd-links a,
.page-description a {
  text-decoration-color: #B7E3ED;
  font-weight: 700;
}

.bdd-links a,
.page-description a {
  text-decoration: underline;
}


.entry-content .ct-posts-block a {
  font-weight: unset;
}

.bdd-links a,
.tribe-events-single .hentry p a,
.tribe-events-single .hentry li a,
.tag .page-description a {
  font-weight: 700;
  text-decoration: underline !important;
  text-decoration-color: #afbc84 !important;
  border-bottom: none !important;
}

.entry-content a:hover,
.entry-content a:focus,
.bdd-links a:hover,
.bdd-links a:focus,
.tag .page-description a:hover,
.tag .page-description a:focus,
.tribe-events-single .hentry p a:hover,
.tribe-events-single .hentry p a:focus,
.tribe-events-single .hentry li a:hover,
.tribe-events-single .hentry li a:focus {
  text-decoration: underline;
  text-decoration-color: #F2644C !important;
  border-bottom: none !important;
}

.light-links a {
  color: #cfe4c2 !important;
  text-decoration-color: #479fab !important;
}

.light-links a:hover,
.light-links a:focus {
  color: #fcdf87 !important;
  text-decoration-color: #FAA542 !important;
}

a.wp-block-button__link {
  text-decoration: none !important;
}

/* * * * * * * *
 Block Styling
 * * * * * * * */

/* Images */
figure.wp-block-image.alignright,
figure.wp-block-image.alignleft {
  margin-bottom: 20px;
}

@media screen and (max-width: 576px) {

  figure.wp-block-image:not(.align-mobile).alignright,
  figure.wp-block-image:not(.align-mobile).alignleft {
    float: none;
    margin: 1em auto;
  }
}

/* Captions */
.wp-element-caption,
.wp-block-image figcaption {
  margin-top: 0 !important;
  padding: 10px 20px;
  background: #FAF6E9;
  line-height: 1.4;
}

/* Quotes */
.wp-block-quote:not(.is-style-plain):not(.has-text-align-center):not(.has-text-align-right) {
  border-inline-start: 4px solid #FCBA6B !important;
  color: #5D5448;
}

.wp-block-pullquote blockquote::before {
  opacity: .05
}

.wp-block-quote cite {
  font-family: futura-pt, sans-serif;
  font-size: 16px !important;
  font-weight: 700;
  letter-spacing: 0;
  font-style: normal;
}

figure.wp-block-pullquote {
  border-width: 2px;
}

figure.wp-block-pullquote:not(.has-border-color) {
  border-color: #7EA469;
}

figure.wp-block-pullquote blockquote:before {
  opacity: .25;
  background-color: #7EA469;
}

/* Lists */
.entry-content li::marker {
  color: #479FAB;
}

.entry-content ol>li::marker {
  color: #DF306C;
  font-weight: 900;
}

/* "HAND-CUT FELT" BOX OPTIONS ---------- */
/* Border radius boxes */
.br1,
.br1 img {
  border-radius: 50px 40px 30px 60px / 10px 20px 30px 20px;
}

.br2,
.br2 img {
  border-radius: 95% 4% 30% 6% / 5% 20% 3% 99%;
}

.br3,
.br3 img {
  border-radius: 5% 44% 70% 88% / 25% 15% 13% 9%;
}

.br4,
.br4 img {
  border-radius: 15% 14% 7% 18% / 95% 85% 93% 90%;
}

.br5,
.br5 img {
  border-radius: 25% 85% 4% 98% / 4% 5% 83% 6%;
}

.br6,
.br6 img {
  border-radius: 5% 14% 2% 98% / 15% 45% 9% 9%;
}

.br7,
.br7 img {
  border-radius: 20px 4px 60px 16px / 5px 20px 20px 80px;
}

.br8,
.br8 img {
  border-radius: 5px 44px 30px 6px / 5px 20px 3px 99px;
}

.br9,
.br9 img {
  border-radius: 38px 4px 3px 66px / 15px 2px 43px 20px;
}

.br10,
.br10 img {
  border-radius: 11px 54px 20px 16px / 45px 2px 74px 60px;
}

.br11,
.br11 img {
  border-radius: 85px 20px 93px 36px / 15px 2px 23px 96px;
}

/* Button classes */
.but-br1 a {
  border-radius: 30% 9% 3% 6% / 2% 2% 30% 60% !important;
}

.but-br2 a,
.but-br1 a:hover {
  border-radius: 9% 3% 6% 30% / 30% 60% 2% 2%;
}

/* * * * * * * *
 Navigation
 * * * * * * * */

#header [data-row*=middle] {
  z-index: 999 !important;
}

/* Main ---------------- */
#header-menu-1 .ct-mega-menu-content-width>ul>li>a {
  font-weight: 800;
  margin-bottom: 8px;
  font-size: 17px;
}

#header-menu-1 .menu-item-has-children>ul>li>a {
  padding-left: 8px;
  padding-right: 8px;
}

#header-menu-1 .menu-item-has-children>ul>li>a:hover,
#header-menu-1 .menu-item-has-children>ul>li>a:focus,
#header-menu-1 .menu-item-has-children>ul>li>a:active {
  border-radius: 2px;
}

.ct-toggle-dropdown-desktop .ct-icon {
  fill: #6DC7CC !important;
}

.main-about>a:hover,
.main-about>a:focus,
.main-about>a:active {
  color: #FCBA6B !important;
}

.main-serve>a:hover,
.main-serve>a:focus,
.main-serve>a:active {
  color: #FAC9DE !important;
}

.main-connect>a:hover,
.main-connect>a:focus,
.main-connect>a:active {
  color: #B7E3ED !important;
}

.main-involved>a:hover,
.main-involved>a:focus,
.main-involved>a:active {
  color: #E4CC4E !important;
}

.donateBtn {
  border-radius: 95% 4% 30% 6% / 5% 20% 3% 99% !important;
  transition-duration: 0s;
  transition: none;
}

.donateBtn:hover,
.donateBtn:focus {
  border-radius: 5% 44% 70% 88% / 25% 15% 13% 9% !important;
}


/* Sectional ------------ */
ul.sectional {
  font-family: futura-pt;
  padding-left: 0;
  list-style: none;
}

.sectional-menu ul ul {
  list-style: disc;
}

.sectional-menu ul ul ul {
  list-style: circle;
}

.sectional-menu ul a {
  font-weight: 700;
  padding: 4px;
  margin-top: 8px;
  display: block;
  line-height: 1.4;
  font-size: .95em;
  letter-spacing: -.01em;
  color: #274736;
  text-decoration: none;

}

.sectional-menu ul a:hover,
.sectional-menu ul .current-menu-item>a {
  background-color: #e2f4f8;
  border-radius: 3px;
}

.sectional-menu ul ul {
  padding-left: 30px;
  font-size: .95em;
}

.sectional-menu ul ul a {
  font-weight: 400 !important;
  margin-top: 0;
  padding: 2px 4px;
}

ul.sectional>li:first-child a {
  font-size: 1.6em;
  font-weight: 400;
  line-height: 1.2;
  color: #437939;
}


/* * * * * * * *
 Layout
 * * * * * * * */

/* Single Post ---------------- */
/* Tags */
.ct-container .entry-tags a {
  letter-spacing: .02em;
  font-weight: 700;
  background-color: #FCEACB;
  border-radius: 95% 4% 30% 2% / 5% 20% 3% 99%;
  box-shadow: none !important;
}

.ct-container .entry-tags a span {
  color: #FAA542;
}

.ct-container .entry-tags a:hover {
  background-color: #AA2745;
}

/* Comments */
.ct-comment-meta-data {
  text-transform: none;
}

a.comment-reply-link {
  background: #DEE5E6;
}

a.comment-reply-link:hover,
a.comment-reply-link:focus,
.ct-comment-inner:not(.ct-has-reply-form):hover .comment-reply-link {
  color: #FFF;
}

/* Archives ---------------- */
.entry-meta svg {
  color: #479FAB;
}

.card-content ul:first-child a,
.entry-card ul:nth-child(2) a,
.entry-card ul:first-child a {
  color: #005E77;
  letter-spacing: .03em;
  font-size: 16px;
  font-style: italic;
  font-family: "Zilla Slab";
}

.card-content .entry-meta {
  margin-bottom: 4px !important;
}

/* Archive description max width */
.archive.category .entry-header .page-description,
.archive.tag .entry-header .page-description,
.author .entry-header .page-description {
  max-width: 800px;
}

/* * * * * * * *
 Scriptless Social Sharing
 * * * * * * * */

.scriptlesssocialsharing {
  clear: both;
  padding-top: 30px;
  margin-bottom: 0;
}

.scriptlesssocialsharing__heading {
  font-size: 18px;
  color: #005E77;
}

.scriptlesssocialsharing a.button {
  background: #AACCC655 !important;
  border-radius: 7px !important;
  color: #003241 !important;
  border: 4px solid #FFF !important;
}

.scriptlesssocialsharing a.button:hover {
  background: #5B3E6E !important;
  color: #FFF !important;
}

/* * * * * * * *
 PRINT STYLES
 * * * * * * * */

@media print {

  .no-print,
  #header,
  footer,
  .sectional-container,
  .section_menu_wrap,
  .ct-related-posts-container,
  .ct-comments-container,
  .entry-tags,
  .post-navigation,
  .ugb--hide-mobile,
  .ugb-spacer,
  .comment-respond,
  #tribe-events-footer,
  .tribe-block__venue__map,
  .tribe-block__events-link,
  .tribe-events-section-category,
  .tribe-block__related-events__title,
  .tribe-related-events,
  .type-page.hentry aside,
  .ct-widget .wp-block-spacer,
  .ct-sidebar {
    display: none !important;
  }

  body {
    --theme-font-size: 18px !important;
  }

  h1.page-title {
    font-size: 2.2em !important;
  }

  .ct-container {
    padding: 20px 0 0 0;
  }

  .tribe-block__organizer__details {
    padding: 0 0 0 20px;
  }

  .tribe-block__venue__meta {
    padding: 0 0 0 20px !important;
    margin-top: 0 !important;
  }
}